package com.bocloud.ims.entity.common;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

import java.util.List;

/**
 * 服务目录
 * 
 * @author Administrator
 *
 */
@Table("service_catalog")
public class ServiceCatalog extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("code")
	private String code;
	@Column("sn")
	private String sn;
	@Column("icon")
	private String icon;
	@IgnoreAll
	private List<CloudService> cloudServices; // 当前目录下的服务

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSn() {
		return sn;
	}

	public void setSn(String sn) {
		this.sn = sn;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public List<CloudService> getCloudServices() {
		return cloudServices;
	}

	public void setCloudServices(List<CloudService> cloudServices) {
		this.cloudServices = cloudServices;
	}

}
